Package org.silverpeas.components.kmelia.service

## Class DefaultToolBoxService

- java.lang.Object
- - org.silverpeas.components.kmelia.service.DefaultToolBoxService

- All Implemented Interfaces:
    `org.silverpeas.core.ApplicationService`

      @Service
      @Named("toolboxService")
      public class DefaultToolBoxService
      extends Object
      implements org.silverpeas.core.ApplicationService

  Service to handle the contributions in a Toolbox application.
  Author:
    mmoquillon

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultToolBoxService()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.silverpeas.kernel.bundle.LocalizationBundle` | `getComponentMessages​(String language)` |
    `org.silverpeas.kernel.bundle.SettingBundle` | `getComponentSettings()` |
    `Optional<KmeliaPublication>` | `getContributionById​(org.silverpeas.core.contribution.model.ContributionIdentifier contributionId)` |
    `boolean` | `isRelatedTo​(String instanceId)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultToolBoxService

          public DefaultToolBoxService()

  - ### Method Detail

    - #### getContributionById

          public Optional<KmeliaPublication> getContributionById​(org.silverpeas.core.contribution.model.ContributionIdentifier contributionId)

      Specified by:
        `getContributionById` in interface `org.silverpeas.core.ApplicationService`

    - #### getComponentSettings

          public org.silverpeas.kernel.bundle.SettingBundle getComponentSettings()

      Specified by:
        `getComponentSettings` in interface `org.silverpeas.core.ApplicationService`

    - #### getComponentMessages

          public org.silverpeas.kernel.bundle.LocalizationBundle getComponentMessages​(String language)

      Specified by:
        `getComponentMessages` in interface `org.silverpeas.core.ApplicationService`

    - #### isRelatedTo

          public boolean isRelatedTo​(String instanceId)

      Specified by:
        `isRelatedTo` in interface `org.silverpeas.core.ApplicationService`